function [response] = get_response(input_signal, fs, num_channels, device_type, input_device, output_device)

input_signal = input_signal';

if num_channels == 2
    input_signal = [input_signal(:) input_signal(:)];
end;

playDevice = output_device; %Device to play it on 
recFirstChannel = 1; %First channel to record from
recLastChannel = recFirstChannel + num_channels - 1; %Last channel to record from 
recDevice = input_device; %Device to record from 
deviceType = device_type; %Which sound driver to use?
%deviceType = 'asio';
recnSamples = 0; %Number of samples. 0 to record for playbuffer duration

response = pa_wavplayrecord(input_signal,playDevice,fs,recnSamples,recFirstChannel,recLastChannel,recDevice,deviceType);