function [X_test_signal abins] = sweep(dur, scale, fs, num_tests);

%fs = 96000;
abins = round(dur*fs); %samples
disp([scale ' sweep is ' num2str(dur) ' seconds, ' num2str(abins) ' samples']);

switch scale
    
    case 'log',
        disp('scale is log')
        f=exp(log(20*(2/fs))*(1-[0:abins-1]'/abins));

    case 'linear',
        disp('scale is linear')
        f = [0:abins-1]'/(abins);
    otherwise
        disp('whatchu talkin bout willis??')
end;

phi = cumsum(pi*f);
X = sin(phi);
X_mult = 0;

for i=1:num_tests
    X_mult = [X_mult X'];
end;
% X_mult = X_mult';

% playDevice = 4; %Device to play it on 
% recFirstChannel = 1; %First channel to record from
% recLastChannel = 1 ; %Last channel to record from 
% recDevice = 1; %Device to record from 
% deviceType = 'dx'; %Which sound driver to use?
% recnSamples = 0; %Number of samples. 0 to record for playbuffer duration
% 
% recordedBuffer = pa_wavplayrecord(X_mult,playDevice,fs,recnSamples,recFirstChannel,recLastChannel,recDevice,deviceType);   
X_test_signal = X_mult;
%wavwrite(0.5*[sweep; sweep], fs, 16, ['ss', int2str(round(fs/1000)), int2str(log2(abins)), '.wav']);

% if you use 3 or 4 sweeps, you can average the extra sweeps to increase
% SNR of the whole system