function [minP] = calibrate_allpass(n);

p = 0.001;
GnA = [1 p];
GnB = [p 1];
h= [1, zeros(1, 1024)];
Gn = filter(GnB, GnA, h);

for i = 2:n;
    Gn = filter(GnB, GnA, Gn);
end;
minGain = max(abs(Gn));
minP = p;

for p = 0.001: 0.001:0.999
    GnA = [1 p];
    GnB = [p 1];
    h = [1, zeros(1, 1024)];
    Gn = filter(GnB, GnA, h);

    for i = 2:n;
        Gn = filter(GnB, GnA, Gn);
    end;
    Gain = max(abs(Gn));
    if(Gain < minGain)
        minGain = Gain;
        minP = p;
    end;
    
end;