function [signal, response] = generate_allpass(n, p);
% Andy Greenwood

GnA = [1 p];
GnB = [p 1];
h= [1, zeros(1, 2*n)];
Gn = filter(GnB, GnA, h);
for i = 2:n;
    Gn = filter(GnB, GnA, Gn);
end;
signal = Gn;
