%ME323 Final project Test file
clear all
close all

%Load Handel for example
load handel

%Test Parameters
Fs = 44100;
impulse_width = 10;
number_of_seconds =3;%Number of seconds to record
y = [ ones(1,10) zeros(1,Fs*number_of_seconds)];

%Playing and recording parameters
playbuffer = y; %Output wav data
samplerate = Fs; %Sample frequency [hz]
recnsamples = 0; %Number of samples. 0 to record for playbuffer duration

%Device settings
playdevice = 0; %Device to play it on 
recfirstchannel = 1; %First channel to record from
reclastchannel = 1 ; %Last channel to record from 
recdevice = 0; %Device to record from 
devicetype = 'win'; %Which sound driver to use?

%Record example
disp('Running test')
inputbuffer = pa_wavplayrecord(playbuffer,playdevice,samplerate,recnsamples,recfirstchannel,reclastchannel,recdevice,devicetype)
disp('Done!')